<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPurchasedServerMaxRam](./bitburner.ns.getpurchasedservermaxram.md)

## NS.getPurchasedServerMaxRam() method

Returns the maximum RAM that a purchased server can have.

**Signature:**

```typescript
getPurchasedServerMaxRam(): number;
```
**Returns:**

number

Returns the maximum RAM (in GB) that a purchased server can have.

## Remarks

RAM cost: 0.05 GB

